Skip to main content
POST
Create Workspace Management Key

Authorizations

Authorization
string
header
required

A control-plane management key using the sk-cp- prefix. Inference keys are not accepted by control-plane endpoints.

Path Parameters

workspace_ref
string
required

Workspace ID or slug

org_id
string
required

Organization ID or slug

Body

application/json
permissions
enum<string>[]
required

Explicit maximum permissions carried by the key

Minimum array length: 1
Available options:
organizations.read,
organizations.create,
organizations.update,
organizations.delete,
principals.read,
principals.manage,
members.read,
members.manage,
workspaces.read,
workspaces.create,
workspaces.update,
workspaces.delete,
catalog.read,
catalog.manage,
provider-credentials.read,
provider-credentials.manage,
inference-keys.read,
inference-keys.manage,
policies.read,
policies.manage,
playground.execute,
policy-state.sync,
bundles.read,
usage.read,
usage.ingest,
data-planes.read,
data-planes.heartbeat,
audit.read,
management-keys.read,
management-keys.issue,
management-keys.revoke
label
string
required

Where this key lives, such as ci, laptop, or data-plane

Required string length: 1 - 80
expires_at
string<date-time> | null

Optional expiration timestamp with a timezone

Response

Successful Response

data
ManagementKeyCreatedOut · object
required